package com.sooka.system.medicine.project.domain;


import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import com.sooka.system.domain.BaseBusinessEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 项目采集对象 t_guiji_medicine_project
 *
 * @author lei
 * @date 2022-08-22
 */
public class TGuijiMedicineProject extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 传感器编号 */
    private String id;

    /** 推送时间 */
    @Excel(name = "推送时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 操作状态 */
    @Excel(name = "操作状态")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 项目机构 */
    @Excel(name = "项目机构")
    private String projectOrgName;

    /** 项目地址 */
    @Excel(name = "项目地址")
    private String projectAddress;

    /** 建设阶段 */
    @Excel(name = "建设阶段")
    private String projectStatus;

    /** 项目总投资 */
    @Excel(name = "项目总投资")
    private String projectTotalInvestment;

    /** 项目起年份 */
    @Excel(name = "项目起年份")
    private String projectStart;

    /** 项目止年份 */
    @Excel(name = "项目止年份")
    private String projectEnd;

    /** 项目起止年限 */
    @Excel(name = "项目起止年限")
    private String projectStartEnd;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setCdTime(String cdTime)
    {
        this.cdTime = cdTime;
    }

    public String getCdTime()
    {
        return cdTime;
    }
    public void setCdBatch(String cdBatch)
    {
        this.cdBatch = cdBatch;
    }

    public String getCdBatch()
    {
        return cdBatch;
    }
    public void setCdOperation(String cdOperation)
    {
        this.cdOperation = cdOperation;
    }

    public String getCdOperation()
    {
        return cdOperation;
    }
    public void setCdSource(String cdSource)
    {
        this.cdSource = cdSource;
    }

    public String getCdSource()
    {
        return cdSource;
    }
    public void setProjectName(String projectName)
    {
        this.projectName = projectName;
    }

    public String getProjectName()
    {
        return projectName;
    }
    public void setProjectOrgName(String projectOrgName)
    {
        this.projectOrgName = projectOrgName;
    }

    public String getProjectOrgName()
    {
        return projectOrgName;
    }
    public void setProjectAddress(String projectAddress)
    {
        this.projectAddress = projectAddress;
    }

    public String getProjectAddress()
    {
        return projectAddress;
    }
    public void setProjectStatus(String projectStatus)
    {
        this.projectStatus = projectStatus;
    }

    public String getProjectStatus()
    {
        return projectStatus;
    }
    public void setProjectTotalInvestment(String projectTotalInvestment)
    {
        this.projectTotalInvestment = projectTotalInvestment;
    }

    public String getProjectTotalInvestment()
    {
        if(projectTotalInvestment != null && !projectTotalInvestment.equals("")){
            return projectTotalInvestment + " 千万";
        }else {
            return projectTotalInvestment;
        }
    }
    public void setProjectStart(String projectStart)
    {
        this.projectStart = projectStart;
    }

    public String getProjectStart()
    {
        return projectStart;
    }
    public void setProjectEnd(String projectEnd)
    {
        this.projectEnd = projectEnd;
    }

    public String getProjectEnd()
    {
        return projectEnd;
    }

    public String getProjectStartEnd()
    {
        return ((projectStart!=null&&!projectStart.equals(""))?projectStart:"-") + " 至 " + ((projectEnd!=null&&!projectEnd.equals(""))?projectEnd:"-");
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createTime", getCreateTime())
            .append("cdTime", getCdTime())
            .append("cdBatch", getCdBatch())
            .append("cdOperation", getCdOperation())
            .append("cdSource", getCdSource())
            .append("projectName", getProjectName())
            .append("projectOrgName", getProjectOrgName())
            .append("projectAddress", getProjectAddress())
            .append("projectStatus", getProjectStatus())
            .append("projectTotalInvestment", getProjectTotalInvestment())
            .append("projectStart", getProjectStart())
            .append("projectEnd", getProjectEnd())
            .toString();
    }
}
